Download OpenAPI specification:
API contract for the Playpass API. Expect possibility of breaking changes until this message is removed, by 2026-04-01. New to Playpass API? Start with the Developer Guide. Authenticated endpoints use Authorization: Bearer <token> with either a manager API token from Dashboard > Settings > API Access or a user OAuth access token returned by /api/oauth/token. Manager API tokens are issued and revoked by organizer owners; helper/staff roles do not self-issue manager API tokens today.
| response_type required | string Value: "code" |
| client_id required | string |
| redirect_uri required | string <uri> |
| code_challenge required | string |
| code_challenge_method | string Value: "S256" |
| state | string |
{- "error": "string",
- "error_description": "string"
}| grant_type required | string Value: "authorization_code" |
| client_id required | string |
| client_secret | string |
| code required | string |
| redirect_uri required | string <uri> |
| code_verifier required | string |
{- "grant_type": "authorization_code",
- "client_id": "string",
- "client_secret": "string",
- "code": "string",
- "code_verifier": "string"
}{- "access_token": "string",
- "token_type": "Bearer",
- "expires_in": 1,
- "scope": "string"
}| profile | string Enum: "slim" "detail" Response detail profile. Defaults to |
{- "data": {
- "guest_session": {
- "token": "string",
- "guest_identifier": "string",
- "expires_at": "2019-08-24T14:15:22Z",
- "guest": {
- "identifier": "string",
- "country_code": "string"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| guest_session_token required | string |
required | object (ScheduleCreateInput) |
{- "guest_session_token": "string",
- "schedule": {
- "sport": "soccer",
- "teams": 8,
- "format": "round_robin"
}
}{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| guest_session_token required | string Guest session token from |
{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| guest_session_token required | string Guest session token from |
| status | string Enum: "all" "unplayed" |
| team | integer >= 1 |
| group | integer >= 1 |
| court | integer >= 1 |
| style | string Enum: "list" "bracket" |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "filters": {
- "status": "all",
- "team": 1,
- "group": 1,
- "court": 1,
- "style": "list",
- "page": 1,
- "per_page": 1
}, - "schedule_games": [
- {
- "game_n": 1,
- "game_type": "schedule",
- "played": true,
- "in_progress": true,
- "start_date": "2019-08-24",
- "start_time": "15:33:00",
- "court": 0,
- "court_name": "string",
- "group": 0,
- "group_name": "string",
- "round": 0,
- "note": "string",
- "label": "string",
- "contestant_a": {
- "name": "string",
- "contestant_n": 1
}, - "contestant_b": {
- "name": "string",
- "contestant_n": 1
}, - "score": {
- "contestant_a": 0,
- "contestant_b": 0
}, - "set_scores": [
- { }
], - "result_summary": "string"
}
], - "playoff_games": [
- {
- "game_n": 1,
- "game_type": "schedule",
- "played": true,
- "in_progress": true,
- "start_date": "2019-08-24",
- "start_time": "15:33:00",
- "court": 0,
- "court_name": "string",
- "group": 0,
- "group_name": "string",
- "round": 0,
- "note": "string",
- "label": "string",
- "contestant_a": {
- "name": "string",
- "contestant_n": 1
}, - "contestant_b": {
- "name": "string",
- "contestant_n": 1
}, - "score": {
- "contestant_a": 0,
- "contestant_b": 0
}, - "set_scores": [
- { }
], - "result_summary": "string"
}
]
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "string",
- "schedule_games": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}, - "playoff_games": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| guest_session_token required | string Guest session token from |
| team | integer >= 1 |
| group | integer >= 1 |
{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "filters": {
- "team": 1,
- "group": 1
}, - "selected_group": 0,
- "visibility": {
- "games_played": true,
- "games_back": true,
- "ties": true,
- "ties_last": true,
- "no_results": true,
- "overtime_losses": true,
- "forfeit_losses": true,
- "win_percentage": true,
- "streak": true,
- "sets_won": true,
- "sets_lost": true,
- "sets_difference": true,
- "goals_for": true,
- "goals_against": true,
- "percentage": true,
- "goals_difference": true,
- "net_run_rate": true,
- "points": true
}, - "groups": [
- {
- "group_number": 1,
- "group_name": "string",
- "contestants": [
- {
- "contestant_n": 1,
- "name": "string",
- "group": 1,
- "wins": 0,
- "games_back": 0,
- "losses": 0,
- "ties": 0,
- "no_results": 0,
- "overtime_losses": 0,
- "forfeit_losses": 0,
- "total_games_played": 0,
- "points": 0,
- "streak": "string",
- "streak_result": "none",
- "streak_length": 0,
- "sets_won": 0,
- "sets_lost": 0,
- "sets_difference": 0,
- "goals_for": 0,
- "goals_against": 0,
- "goals_difference": 0,
- "win_percentage": "string",
- "percentage": "string",
- "net_run_rate": "string"
}
]
}
], - "player_stats": {
- "supported": true,
- "visible": true,
- "leaderboards": [
- {
- "stat_key": "points",
- "label": "Points",
- "abbreviation": "PTS",
- "entries": [
- {
- "rank": 1,
- "name": "Camille",
- "team_name": "Team 1",
- "games_played": 0,
- "value": 0
}
]
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}required | object (OrganizerCreateInput) |
{- "organizer": {
- "name": "string",
- "location_input": "string"
}
}{- "data": {
- "organizer": {
- "id": "Oabc123",
- "type": "organizer",
- "slug": "string",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "city": "string",
- "country_code": "string",
- "external_links": [
- {
- "provider_key": "website",
- "label": "string",
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft",
- "contact_name": "string",
- "contact_email": "string",
- "contact_phone": "string"
}, - "has_referral_program": true
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z0-9-]+$ Organizer lookup value (prefixed ID like |
{- "data": {
- "organizer": {
- "id": "Oabc123",
- "type": "organizer",
- "slug": "string",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "city": "string",
- "country_code": "string",
- "external_links": [
- {
- "provider_key": "website",
- "label": "string",
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft",
- "contact_name": "string",
- "contact_email": "string",
- "contact_phone": "string"
}, - "has_referral_program": true
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z0-9-]+$ Organizer lookup value (prefixed ID like |
required | object (OrganizerUpdateInput) non-empty |
{- "organizer": {
- "name": "string",
- "location_input": "string",
- "subtitle": "string",
- "description": "string",
- "contact_name": "string",
- "contact_email": "string",
- "contact_phone": "string",
- "external_links": [
- {
- "provider_key": "website",
- "url": "string"
}
], - "pass_on_fee": true,
- "status": "draft",
- "searchable": true
}
}{- "data": {
- "organizer": {
- "id": "Oabc123",
- "type": "organizer",
- "slug": "string",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "city": "string",
- "country_code": "string",
- "external_links": [
- {
- "provider_key": "website",
- "label": "string",
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft",
- "contact_name": "string",
- "contact_email": "string",
- "contact_phone": "string"
}, - "has_referral_program": true
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id required | string |
| profile | string Enum: "slim" "detail" Response detail profile. Defaults to |
| guest_session_token required | string |
{- "guest_session_token": "string"
}{- "data": {
- "guest_schedule_claim": {
- "organizer_id": "string",
- "guest_identifier": "string",
- "claimed_robins": 0,
- "claimed_playoffs": 0,
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id required | string |
| profile | string Enum: "slim" "detail" Response detail profile. Defaults to |
{- "data": {
- "organizer_trial": {
- "organizer_id": "string",
- "trial_started": true,
- "trial_start": "2019-08-24T14:15:22Z",
- "trial_end": "2019-08-24T14:15:22Z",
- "state": "string",
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}Returns API token metadata only. Plaintext token values are never returned by this endpoint. Token creation and revocation are owner-only.
| organizer_id required | string |
| profile | string Enum: "slim" "detail" Response detail profile. Defaults to |
{- "data": {
- "organizer_api_tokens": {
- "organizer_id": "string",
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "api_tokens": [
- {
- "id": 0,
- "name": "string",
- "scopes": [
- "string"
], - "token_last4": "string",
- "revoked": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_used_at": "2019-08-24T14:15:22Z"
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}Creates a new organizer-owner API token and returns its plaintext token value once. Save it securely.
| organizer_id required | string |
| profile | string Enum: "slim" "detail" Response detail profile. Defaults to |
object (OrganizerApiTokenCreateInput) |
{- "api_token": {
- "name": "string",
- "scopes": [
- "string"
]
}
}{- "data": {
- "organizer_api_token": {
- "organizer_id": "string",
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "api_token": {
- "id": 0,
- "name": "string",
- "scopes": [
- "string"
], - "token_last4": "string",
- "revoked": true,
- "created_at": "2019-08-24T14:15:22Z",
- "last_used_at": "2019-08-24T14:15:22Z",
- "token": "string"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}Revokes an organizer API token. Only organizer owners can revoke manager API tokens.
| organizer_id required | string |
| token_id required | integer |
| profile | string Enum: "slim" "detail" Response detail profile. Defaults to |
{- "data": {
- "organizer_api_token": {
- "organizer_id": "string",
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "id": 0,
- "revoked": true
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z0-9-]+$ Organizer lookup value (prefixed ID like |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| sport | string Example: sport=soccer Sport slug filter. Applies to sport-bearing resources only. |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "Oabc123",
- "items": [
- {
- "id": "Aabc123",
- "organizer_id": "Oabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "status": "draft",
- "sport": "string",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "registration_open": true,
- "price_per_slot_cents": 0,
- "slot_duration_minutes": 1,
- "format": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "attached_schedule_id": "string",
- "page_type": "string",
- "section": "string",
- "display_date": "2019-08-24",
- "sign_method": "string",
- "subscribable": true,
- "reward_cents": 0,
- "offer_cents": 0,
- "currency": "string"
}
]
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "string",
- "items": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "draft" "published" "archived" Exact schedule lifecycle status filter. |
| view | string Enum: "current" "homepage" "all" Schedule list view. Defaults to |
| sport | string Example: sport=soccer Sport slug filter. Applies to sport-bearing resources only. |
| format | string Enum: "round_robin" "swiss_system" "rotating_partners" "single_elimination" "double_elimination" "triple_elimination" Filter schedules by schedule format. |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "schedules": [
- {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "standings_supported": true,
- "sport": "basketball",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "schedules": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| organizer_id | string |
required | object (ScheduleCreateInput) |
{- "organizer_id": "string",
- "schedule": {
- "sport": "soccer",
- "teams": 8,
- "format": "round_robin"
}
}{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
required | object (ScheduleUpdateInput) non-empty |
{- "schedule": {
- "name": "string",
- "subtitle": "string",
- "sport": "soccer",
- "printable": true,
- "stats_enabled": true,
- "visible_player_stats": true,
- "scoring_sets": 1,
- "robin_scoring_config_id": 1,
- "court_n": 1,
- "court_new_name": "string",
- "group_n": 1,
- "group_new_name": "string",
- "teams": 2,
- "groups": 1,
- "courts": 1,
- "min_rest": true,
- "rounds": 0,
- "games_per_team": 0,
- "start_date": "2026-04-18",
- "daily_games_per_court": 1,
- "daily_start_time": "09:00",
- "game_length_in_minutes": 1,
- "swiss_desired_rounds": 1,
- "robin_id": 1,
- "week_days_array": [
- 6
], - "reset_team_group_assignments": true,
- "team_group_assignments": {
- "1": 1,
- "2": 1,
- "3": 2,
- "4": 2
}
}
}{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "id": "Rk3GtLx",
- "deleted": true
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| schedule_id required | string |
| teams required | Array of strings non-empty |
{- "teams": [
- "string"
]
}{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "schedule": {
- "id": "Rk3GtLx",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "format": "round_robin",
- "status": "draft",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "games_count": 0,
- "games_played_count": 0,
- "contestants": 0,
- "courts": 0,
- "groups": 0,
- "standings_supported": true,
- "sport": "basketball",
- "player_stats": {
- "supported": true,
- "tracking_enabled": true,
- "visible_to_public": true,
- "leaderboards_visible": true,
- "leaderboard_stats": [
- {
- "key": "points",
- "label": "Points",
- "abbreviation": "PTS"
}
]
}, - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "attached_schedule": {
- "id": "PHpmFGq",
- "name": "8 Team Volleyball Single Elimination",
- "subtitle": "string",
- "description": "string",
- "format": "single_elimination",
- "games_count": 0,
- "games_played_count": 0,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}
}
},
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| status | string Enum: "all" "unplayed" |
| team | integer >= 1 |
| group | integer >= 1 |
| court | integer >= 1 |
| style | string Enum: "list" "bracket" |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "filters": {
- "status": "all",
- "team": 1,
- "group": 1,
- "court": 1,
- "style": "list",
- "page": 1,
- "per_page": 1
}, - "schedule_games": [
- {
- "game_n": 1,
- "game_type": "schedule",
- "played": true,
- "in_progress": true,
- "start_date": "2019-08-24",
- "start_time": "15:33:00",
- "court": 0,
- "court_name": "string",
- "group": 0,
- "group_name": "string",
- "round": 0,
- "note": "string",
- "label": "string",
- "contestant_a": {
- "name": "string",
- "contestant_n": 1
}, - "contestant_b": {
- "name": "string",
- "contestant_n": 1
}, - "score": {
- "contestant_a": 0,
- "contestant_b": 0
}, - "set_scores": [
- { }
], - "result_summary": "string"
}
], - "playoff_games": [
- {
- "game_n": 1,
- "game_type": "schedule",
- "played": true,
- "in_progress": true,
- "start_date": "2019-08-24",
- "start_time": "15:33:00",
- "court": 0,
- "court_name": "string",
- "group": 0,
- "group_name": "string",
- "round": 0,
- "note": "string",
- "label": "string",
- "contestant_a": {
- "name": "string",
- "contestant_n": 1
}, - "contestant_b": {
- "name": "string",
- "contestant_n": 1
}, - "score": {
- "contestant_a": 0,
- "contestant_b": 0
}, - "set_scores": [
- { }
], - "result_summary": "string"
}
]
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "string",
- "schedule_games": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}, - "playoff_games": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| team | integer >= 1 |
| group | integer >= 1 |
{- "data": {
- "schedule_ref": {
- "id": "Rk3GtLx",
- "attached_schedule_id": "string",
- "attached_schedule_url": "https://playpass.com/go/PHpmFGq"
}, - "filters": {
- "team": 1,
- "group": 1
}, - "selected_group": 0,
- "visibility": {
- "games_played": true,
- "games_back": true,
- "ties": true,
- "ties_last": true,
- "no_results": true,
- "overtime_losses": true,
- "forfeit_losses": true,
- "win_percentage": true,
- "streak": true,
- "sets_won": true,
- "sets_lost": true,
- "sets_difference": true,
- "goals_for": true,
- "goals_against": true,
- "percentage": true,
- "goals_difference": true,
- "net_run_rate": true,
- "points": true
}, - "groups": [
- {
- "group_number": 1,
- "group_name": "string",
- "contestants": [
- {
- "contestant_n": 1,
- "name": "string",
- "group": 1,
- "wins": 0,
- "games_back": 0,
- "losses": 0,
- "ties": 0,
- "no_results": 0,
- "overtime_losses": 0,
- "forfeit_losses": 0,
- "total_games_played": 0,
- "points": 0,
- "streak": "string",
- "streak_result": "none",
- "streak_length": 0,
- "sets_won": 0,
- "sets_lost": 0,
- "sets_difference": 0,
- "goals_for": 0,
- "goals_against": 0,
- "goals_difference": 0,
- "win_percentage": "string",
- "percentage": "string",
- "net_run_rate": "string"
}
]
}
], - "player_stats": {
- "supported": true,
- "visible": true,
- "leaderboards": [
- {
- "stat_key": "points",
- "label": "Points",
- "abbreviation": "PTS",
- "entries": [
- {
- "rank": 1,
- "name": "Camille",
- "team_name": "Team 1",
- "games_played": 0,
- "value": 0
}
]
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "draft" "published" "archived" Exact activity lifecycle status filter. |
| view | string Enum: "current" "all" Activity list view. Use |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "activities": [
- {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "activities": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}required | object (ActivityCreateInput) |
{- "activity": {
- "name": "string",
- "subtitle": "string",
- "sport": "soccer",
- "genre": "league",
- "location_input": "string",
- "location_label": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "start_time": "18:30:00",
- "end_time": "20:00:00",
- "age_spec": "string",
- "gender_spec": "string",
- "min_age": 0,
- "max_age": 0,
- "contact_name": "string",
- "contact_email": "user@example.com",
- "contact_phone": "string",
- "registration_on": true,
- "multiple_signups_allowed": true,
- "discountable": true,
- "require_birth_date": true,
- "require_gender": true,
- "require_phone_number": true,
- "all_waivers": true,
- "global_questions": true,
- "searchable": true,
- "visible": true,
- "total_capacity": -1,
- "activity_days": [
- 6
], - "pricing_options_attributes": [
- {
- "name": "string",
- "subtitle": "string",
- "amount_dollars": "25",
- "amount_base_cents": 0,
- "active": true,
- "registration_limit": -1,
- "end_date": "2019-08-24",
- "count_as": 1,
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1
}
]
}
}{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
required | object (ActivityUpdateInput) non-empty |
{- "activity": {
- "name": "string",
- "location_input": "string",
- "location_label": "string",
- "sport": "soccer",
- "genre": "league",
- "subtitle": "string",
- "description_rich_text": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "start_time": "18:30:00",
- "end_time": "20:00:00",
- "age_spec": "string",
- "gender_spec": "string",
- "min_age": 0,
- "max_age": 0,
- "contact_name": "string",
- "contact_email": "user@example.com",
- "contact_phone": "string",
- "registration_on": true,
- "multiple_signups_allowed": true,
- "discountable": true,
- "require_birth_date": true,
- "require_gender": true,
- "require_phone_number": true,
- "all_waivers": true,
- "global_questions": true,
- "searchable": true,
- "visible": true,
- "remove_photo": true,
- "total_capacity": -1,
- "activity_days": [
- 6
]
}
}{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "id": "Aabc123",
- "deleted": true
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| product_id required | string^[A-Za-z][A-Za-z0-9]+$ |
{- "product_id": "string"
}{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| product_id required | string^[A-Za-z][A-Za-z0-9]+$ Product ID value (for example |
{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
]
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
required | object (ActivityPricingOptionInput) |
{- "pricing_option": {
- "name": "string",
- "subtitle": "string",
- "amount_dollars": "25",
- "amount_base_cents": 0,
- "active": true,
- "registration_limit": -1,
- "end_date": "2019-08-24",
- "count_as": 1,
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1
}
}{- "data": {
- "pricing_option": {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| pricing_option_id required | string^[A-Za-z][A-Za-z0-9]+$ Pricing option ID value (for example |
{- "data": {
- "pricing_option": {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| pricing_option_id required | string^[A-Za-z][A-Za-z0-9]+$ Pricing option ID value (for example |
required | object (ActivityPricingOptionInput) |
{- "pricing_option": {
- "name": "string",
- "subtitle": "string",
- "amount_dollars": "25",
- "amount_base_cents": 0,
- "active": true,
- "registration_limit": -1,
- "end_date": "2019-08-24",
- "count_as": 1,
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1
}
}{- "data": {
- "pricing_option": {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| pricing_option_id required | string^[A-Za-z][A-Za-z0-9]+$ Pricing option ID value (for example |
{- "data": {
- "id": "string",
- "deleted": true
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "activity": {
- "id": "Aabc123",
- "type": "activity",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "sport": "string",
- "genre": "string",
- "start_date": "2019-08-24",
- "end_date": "2019-08-24",
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "timezone": "America/Los_Angeles",
- "registration_open": true,
- "city": "string",
- "country_code": "string",
- "location_label": "string",
- "description": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "pricing_options": [
- {
- "id": "Cabc123",
- "activity_id": "Aabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "usd",
- "available": true,
- "active": true,
- "ends_at": "2019-08-24T14:15:22Z",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "available" "archived" Exact product catalog status filter. |
| view | string Value: "all" Product list view. Use |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "products": [
- {
- "id": "Jabc123",
- "type": "product",
- "name": "string",
- "subtitle": "string",
- "status": "available",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1,
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "products": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}required | object (ProductCreateInput) |
{- "product": {
- "name": "string",
- "subtitle": "string",
- "status": "available",
- "amount_dollars": "string",
- "amount_base_cents": 0,
- "max_quantity_per_purchase": 1
}
}{- "data": {
- "product": {
- "id": "Jabc123",
- "type": "product",
- "name": "string",
- "subtitle": "string",
- "status": "available",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1,
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "product": {
- "id": "Jabc123",
- "type": "product",
- "name": "string",
- "subtitle": "string",
- "status": "available",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1,
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
required | object (ProductUpdateInput) non-empty |
{- "product": {
- "name": "string",
- "subtitle": "string",
- "status": "available",
- "amount_dollars": "string",
- "amount_base_cents": 0,
- "max_quantity_per_purchase": 1
}
}{- "data": {
- "product": {
- "id": "Jabc123",
- "type": "product",
- "name": "string",
- "subtitle": "string",
- "status": "available",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1,
- "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "id": "string",
- "deleted": true
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "draft" "published" "archived" Exact booking page lifecycle status filter. |
| view | string Enum: "current" "all" Booking page list view. Defaults to |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "reservation_offerings": [
- {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "reservation_offerings": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}required | object (ReservationOfferingCreateInput) |
{- "reservation_offering": {
- "name": "string",
- "subtitle": "string",
- "description_rich_text": "string",
- "timezone": "string",
- "price_per_slot_cents": 0,
- "price_per_slot": "string",
- "amount_dollars": "string",
- "weekly_booking_limit": 4,
- "all_waivers": true,
- "global_questions": true,
- "days_of_week": 127,
- "start_time": "09:00",
- "end_time": "17:00",
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "cancellation_cutoff_hours": 0,
- "visible": true,
- "remove_photo": true,
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}
}
}{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
required | object (ReservationOfferingUpdateInput) non-empty |
{- "reservation_offering": {
- "name": "string",
- "subtitle": "string",
- "description_rich_text": "string",
- "timezone": "string",
- "price_per_slot_cents": 0,
- "price_per_slot": "string",
- "amount_dollars": "string",
- "weekly_booking_limit": 4,
- "all_waivers": true,
- "global_questions": true,
- "days_of_week": 127,
- "start_time": "09:00",
- "end_time": "17:00",
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "cancellation_cutoff_hours": 0,
- "visible": true,
- "remove_photo": true,
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}
}
}{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "id": "Babc123",
- "deleted": true
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| product_id required | string^[A-Za-z][A-Za-z0-9]+$ |
{- "product_id": "string"
}{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| product_id required | string^[A-Za-z][A-Za-z0-9]+$ Product ID value (for example |
{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "reservation_offering": {
- "id": "Babc123",
- "type": "reservation_offering",
- "name": "string",
- "subtitle": "string",
- "description": "string",
- "status": "draft",
- "timezone": "string",
- "visible": true,
- "weekly_booking_limit": 4,
- "cancellation_cutoff_hours": 0,
- "slot_duration_minutes": 1,
- "slot_interval_minutes": 1,
- "slot_generation_horizon_days": 1,
- "price_per_slot_cents": 0,
- "currency": "string",
- "availability_by_day": {
- "property1": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}, - "property2": {
- "enabled": true,
- "start_time": "09:00",
- "end_time": "17:00"
}
}, - "available_slots": [
- {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "resource_name": "string"
}
], - "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| reservation_offering_id | string Filter reservation bookings to a single reservation offering id. |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "active" "pending" "canceled" "incomplete" Exact reservation booking status filter. |
| payment_status | string Enum: "pending" "succeeded" "failed" "refunded" "free" Exact reservation booking payment status filter. |
| view | string Enum: "upcoming" "all" Reservation booking list view. Defaults to |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "reservation_bookings": [
- {
- "id": "Kabc123",
- "type": "reservation_booking",
- "status": "active",
- "payment_status": "pending",
- "amount_cents": 0,
- "amount_paid_cents": 0,
- "amount_refunded_cents": 0,
- "amount_app_fee_cents": 0,
- "amount_stripe_fee_cents": 0,
- "currency": "string",
- "paid": true,
- "free": true,
- "refundable": true,
- "amount_refundable_cents": 0,
- "cancellation_deadline_at": "2019-08-24T14:15:22Z",
- "canceled_at": "2019-08-24T14:15:22Z",
- "cancellation_reason": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "reservation_offering": {
- "id": "Babc123",
- "name": "string"
}, - "reservation_slot": {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "status": "open",
- "resource_name": "string"
}, - "user": {
- "name": "string",
- "email": "user@example.com",
- "phone_number": "string"
}, - "products": [
- {
- "name": "string",
- "subtitle": "string",
- "quantity": 1,
- "unit_amount_cents": 0,
- "amount_cents": 0,
- "currency": "string"
}
]
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "reservation_bookings": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "reservation_booking": {
- "id": "Kabc123",
- "type": "reservation_booking",
- "status": "active",
- "payment_status": "pending",
- "amount_cents": 0,
- "amount_paid_cents": 0,
- "amount_refunded_cents": 0,
- "amount_app_fee_cents": 0,
- "amount_stripe_fee_cents": 0,
- "currency": "string",
- "paid": true,
- "free": true,
- "refundable": true,
- "amount_refundable_cents": 0,
- "cancellation_deadline_at": "2019-08-24T14:15:22Z",
- "canceled_at": "2019-08-24T14:15:22Z",
- "cancellation_reason": "string",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "reservation_offering": {
- "id": "Babc123",
- "name": "string"
}, - "reservation_slot": {
- "starts_at": "2019-08-24T14:15:22Z",
- "ends_at": "2019-08-24T14:15:22Z",
- "status": "open",
- "resource_name": "string"
}, - "user": {
- "name": "string",
- "email": "user@example.com",
- "phone_number": "string"
}, - "products": [
- {
- "name": "string",
- "subtitle": "string",
- "quantity": 1,
- "unit_amount_cents": 0,
- "amount_cents": 0,
- "currency": "string"
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "draft" "published" "archived" Exact storefront lifecycle status filter. |
| view | string Enum: "current" "all" Storefront list view. Defaults to |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "storefronts": [
- {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "storefronts": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}required | object (StorefrontCreateInput) |
{- "storefront": {
- "name": "string",
- "subtitle": "string",
- "description_rich_text": "string",
- "remove_photo": true
}
}{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
required | object (StorefrontUpdateInput) non-empty |
{- "storefront": {
- "name": "string",
- "subtitle": "string",
- "description_rich_text": "string",
- "remove_photo": true
}
}{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "id": "Habc123",
- "deleted": true
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| product_id required | string^[A-Za-z][A-Za-z0-9]+$ |
{- "product_id": "string"
}{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
| product_id required | string^[A-Za-z][A-Za-z0-9]+$ Product ID value (for example |
{- "data": {
- "storefront": {
- "id": "Habc123",
- "type": "storefront",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "orderable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| storefront_id | string Filter storefront orders to a single storefront id. |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "active" "pending" "canceled" "incomplete" Exact storefront order status filter. |
| payment_status | string Enum: "pending" "succeeded" "failed" "refunded" "free" Exact storefront order payment status filter. |
| view | string Enum: "current" "all" Storefront order list view. Defaults to |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "storefront_orders": [
- {
- "id": "Qabc123",
- "type": "storefront_order",
- "status": "pending",
- "payment_status": "pending",
- "amount_cents": 0,
- "amount_paid_cents": 0,
- "amount_refunded_cents": 0,
- "amount_app_fee_cents": 0,
- "amount_stripe_fee_cents": 0,
- "currency": "string",
- "paid": true,
- "free": true,
- "fully_refunded": true,
- "paid_at": "2019-08-24T14:15:22Z",
- "canceled_at": "2019-08-24T14:15:22Z",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "storefront": {
- "id": "Habc123",
- "name": "string"
}, - "user": {
- "name": "string",
- "email": "user@example.com"
}, - "products": [
- {
- "name": "string",
- "subtitle": "string",
- "quantity": 1,
- "unit_amount_cents": 0,
- "amount_cents": 0,
- "currency": "string"
}
]
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "storefront_orders": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "storefront_order": {
- "id": "Qabc123",
- "type": "storefront_order",
- "status": "pending",
- "payment_status": "pending",
- "amount_cents": 0,
- "amount_paid_cents": 0,
- "amount_refunded_cents": 0,
- "amount_app_fee_cents": 0,
- "amount_stripe_fee_cents": 0,
- "currency": "string",
- "paid": true,
- "free": true,
- "fully_refunded": true,
- "paid_at": "2019-08-24T14:15:22Z",
- "canceled_at": "2019-08-24T14:15:22Z",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "storefront": {
- "id": "Habc123",
- "name": "string"
}, - "user": {
- "name": "string",
- "email": "user@example.com"
}, - "products": [
- {
- "name": "string",
- "subtitle": "string",
- "quantity": 1,
- "unit_amount_cents": 0,
- "amount_cents": 0,
- "currency": "string"
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "active" "canceled" Exact member status filter. |
| view | string Enum: "current" "all" Member list view. Defaults to |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "members": [
- {
- "id": "Labc123",
- "type": "member",
- "active": true,
- "role": "string",
- "confirmed": true,
- "invite_pending": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "user": {
- "name": "string",
- "email": "user@example.com",
- "phone_number": "string",
- "birth_date": "2019-08-24",
- "gender": "string"
}
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "members": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "member": {
- "id": "Labc123",
- "type": "member",
- "active": true,
- "role": "string",
- "confirmed": true,
- "invite_pending": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "user": {
- "name": "string",
- "email": "user@example.com",
- "phone_number": "string",
- "birth_date": "2019-08-24",
- "gender": "string"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| activity_id | string Filter registrations to a single activity id. |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "active" "pending" "canceled" "incomplete" Exact registration status filter. |
| payment_status | string Enum: "pending" "succeeded" "failed" "refunded" "free" Exact registration payment status filter. |
| view | string Enum: "current" "all" Registration list view. Defaults to |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "registrations": [
- {
- "id": "Gabc123",
- "type": "registration",
- "status": "string",
- "payment_status": "string",
- "amount_base_cents": 0,
- "amount_cents": 0,
- "amount_paid_cents": 0,
- "amount_owed_cents": 0,
- "amount_refunded_cents": 0,
- "amount_processing_fee_cents": 0,
- "currency": "string",
- "paid": true,
- "installment_plan": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installments_paid_count": 0,
- "next_payment_due_at": "2019-08-24T14:15:22Z",
- "installments_completed_at": "2019-08-24T14:15:22Z",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "activity": {
- "id": "Aabc123",
- "name": "string"
}, - "pricing_option": {
- "id": "Cabc123",
- "name": "string",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0
}, - "user": {
- "name": "string",
- "email": "user@example.com",
- "phone_number": "string"
}, - "products": [
- {
- "name": "string",
- "subtitle": "string",
- "quantity": 1,
- "unit_amount_cents": 0,
- "amount_cents": 0,
- "currency": "string"
}
]
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "registrations": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "registration": {
- "id": "Gabc123",
- "type": "registration",
- "status": "string",
- "payment_status": "string",
- "amount_base_cents": 0,
- "amount_cents": 0,
- "amount_paid_cents": 0,
- "amount_owed_cents": 0,
- "amount_refunded_cents": 0,
- "amount_processing_fee_cents": 0,
- "currency": "string",
- "paid": true,
- "installment_plan": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installments_paid_count": 0,
- "next_payment_due_at": "2019-08-24T14:15:22Z",
- "installments_completed_at": "2019-08-24T14:15:22Z",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "activity": {
- "id": "Aabc123",
- "name": "string"
}, - "pricing_option": {
- "id": "Cabc123",
- "name": "string",
- "installment_enabled": true,
- "installment_count": 2,
- "installment_interval": "day",
- "installment_interval_count": 1,
- "installment_cadence": "string",
- "installment_amount_cents": 0
}, - "user": {
- "name": "string",
- "email": "user@example.com",
- "phone_number": "string"
}, - "products": [
- {
- "name": "string",
- "subtitle": "string",
- "quantity": 1,
- "unit_amount_cents": 0,
- "amount_cents": 0,
- "currency": "string"
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "referrals": [
- {
- "id": "Eabc123",
- "type": "referral",
- "reward_cents": 0,
- "offer_cents": 0,
- "currency": "string",
- "invitee_payments": 0,
- "offer_expires_at": "2019-08-24T14:15:22Z",
- "offer_redeemed_at": "2019-08-24T14:15:22Z",
- "reward_expires_at": "2019-08-24T14:15:22Z",
- "reward_redeemed_at": "2019-08-24T14:15:22Z",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "referrer": {
- "name": "string",
- "email": "user@example.com"
}, - "invitee": {
- "name": "string",
- "email": "user@example.com"
}
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "referrals": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "referral": {
- "id": "Eabc123",
- "type": "referral",
- "reward_cents": 0,
- "offer_cents": 0,
- "currency": "string",
- "invitee_payments": 0,
- "offer_expires_at": "2019-08-24T14:15:22Z",
- "offer_redeemed_at": "2019-08-24T14:15:22Z",
- "reward_expires_at": "2019-08-24T14:15:22Z",
- "reward_redeemed_at": "2019-08-24T14:15:22Z",
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "referrer": {
- "name": "string",
- "email": "user@example.com"
}, - "invitee": {
- "name": "string",
- "email": "user@example.com"
}
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| membership_id | string Filter membership subscriptions to a single membership id. |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "active" "past_due" "pending" "canceled" "paused" "incomplete" Exact membership subscription status filter. |
| view | string Enum: "current" "all" Membership subscription list view. Defaults to |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "membership_subscriptions": [
- {
- "id": "Mabc123",
- "type": "membership_subscription",
- "status": "string",
- "amount_cents": 0,
- "amount_app_fee_cents": 0,
- "currency": "string",
- "cancel_at_period_end": true,
- "current_period_start": "2019-08-24T14:15:22Z",
- "current_period_end": "2019-08-24T14:15:22Z",
- "canceled_at": "2019-08-24T14:15:22Z",
- "free": true,
- "paid": true,
- "fully_refunded": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "membership": {
- "id": "Sabc123",
- "name": "string"
}, - "membership_plan": {
- "identifier": "string",
- "name": "string",
- "amount_cents": 0,
- "currency": "string",
- "interval": "string",
- "interval_count": 0
}, - "user": {
- "name": "string",
- "email": "user@example.com"
}, - "products": [
- {
- "name": "string",
- "subtitle": "string",
- "quantity": 1,
- "unit_amount_cents": 0,
- "amount_cents": 0,
- "currency": "string"
}
]
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "membership_subscriptions": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "membership_subscription": {
- "id": "Mabc123",
- "type": "membership_subscription",
- "status": "string",
- "amount_cents": 0,
- "amount_app_fee_cents": 0,
- "currency": "string",
- "cancel_at_period_end": true,
- "current_period_start": "2019-08-24T14:15:22Z",
- "current_period_end": "2019-08-24T14:15:22Z",
- "canceled_at": "2019-08-24T14:15:22Z",
- "free": true,
- "paid": true,
- "fully_refunded": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "membership": {
- "id": "Sabc123",
- "name": "string"
}, - "membership_plan": {
- "identifier": "string",
- "name": "string",
- "amount_cents": 0,
- "currency": "string",
- "interval": "string",
- "interval_count": 0
}, - "user": {
- "name": "string",
- "email": "user@example.com"
}, - "products": [
- {
- "name": "string",
- "subtitle": "string",
- "quantity": 1,
- "unit_amount_cents": 0,
- "amount_cents": 0,
- "currency": "string"
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| organizer_id | string |
| query | string Example: query=basketball Case-insensitive free-text search string. |
| status | string Enum: "draft" "published" "archived" Exact membership lifecycle status filter. |
| view | string Enum: "current" "all" Membership list view. Use |
| page | integer >= 1 |
| per_page | integer [ 1 .. 100 ] |
{- "data": {
- "organizer_id": "string",
- "memberships": [
- {
- "id": "Sabc123",
- "type": "membership",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "end_date": "2019-08-24",
- "subscribable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "plans": [
- {
- "name": "string",
- "amount_cents": 0,
- "currency": "string",
- "interval": "string",
- "interval_count": 1,
- "end_date": "2019-08-24",
- "available": true,
- "active": true,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
]
}, - "meta": {
- "api_version": "string",
- "request_id": "string",
- "memberships": {
- "page": 1,
- "per_page": 1,
- "total_pages": 0,
- "total_count": 0
}
}
}required | object (MembershipCreateInput) |
{- "membership": {
- "name": "string",
- "subtitle": "string",
- "description_rich_text": "string",
- "end_date": "2019-08-24",
- "multiple_subscriptions_allowed": true,
- "all_waivers": true,
- "global_questions": true,
- "visible": true,
- "remove_photo": true,
- "membership_plans_attributes": [
- {
- "name": "string",
- "amount_dollars": "25",
- "amount_cents": 0,
- "interval": "day",
- "interval_count": 1,
- "active": true
}
]
}
}{- "data": {
- "membership": {
- "id": "Sabc123",
- "type": "membership",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "end_date": "2019-08-24",
- "subscribable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "plans": [
- {
- "name": "string",
- "amount_cents": 0,
- "currency": "string",
- "interval": "string",
- "interval_count": 1,
- "end_date": "2019-08-24",
- "available": true,
- "active": true,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
- "id": "Jabc123",
- "name": "string",
- "subtitle": "string",
- "amount_cents": 0,
- "currency": "string",
- "max_quantity_per_purchase": 1
}
]
}
}, - "meta": {
- "api_version": "2026-02-08",
- "request_id": "f2da1899-b5c6-4872-ae82-300e853c7a8a"
}
}| id required | string^[A-Za-z][A-Za-z0-9]+$ ID value (for example |
{- "data": {
- "membership": {
- "id": "Sabc123",
- "type": "membership",
- "name": "string",
- "subtitle": "string",
- "status": "draft",
- "description": "string",
- "end_date": "2019-08-24",
- "subscribable": true,
- "manager": {
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "status": "draft"
}, - "organizer": {
- "id": "Of6Hk2a",
- "name": "string"
}, - "plans": [
- {
- "name": "string",
- "amount_cents": 0,
- "currency": "string",
- "interval": "string",
- "interval_count": 1,
- "end_date": "2019-08-24",
- "available": true,
- "active": true,
- "capacity_limit": 1,
- "capacity_remaining": 0
}
], - "products": [
- {
[...]
